classification
Title: Parser can segfault if an error happens before reading any input
Type: Stage: resolved
Components: Parser Versions: Python 3.11, Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: lukasz.langa, lys.nikolaou, miss-islington, pablogsal
Priority: normal Keywords: patch

Created on 2021-11-16 18:58 by pablogsal, last changed 2021-11-18 00:25 by lukasz.langa. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 29580 merged pablogsal, 2021-11-16 19:00
PR 29583 merged miss-islington, 2021-11-16 19:52
PR 29584 merged miss-islington, 2021-11-16 19:52
Messages (4)
msg406428 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2021-11-16 19:52
New changeset df4ae55e66e34ea8de6a34f0b104871ddaf35d53 by Pablo Galindo Salgado in branch 'main':
bpo-45820: Fix a segfault when the parser fails without reading any input (GH-29580)
https://github.com/python/cpython/commit/df4ae55e66e34ea8de6a34f0b104871ddaf35d53
msg406509 - (view) Author: miss-islington (miss-islington) Date: 2021-11-17 23:43
New changeset b455df59a8eca1b0c0793bc11a116ffc2829b175 by Miss Islington (bot) in branch '3.10':
bpo-45820: Fix a segfault when the parser fails without reading any input (GH-29580)
https://github.com/python/cpython/commit/b455df59a8eca1b0c0793bc11a116ffc2829b175
msg406510 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-11-18 00:25
New changeset 00ee14e814d35587ac55f89c7de871a01360c876 by Miss Islington (bot) in branch '3.9':
[3.9] bpo-45820: Fix a segfault when the parser fails without reading any input (GH-29580) (GH-29584)
https://github.com/python/cpython/commit/00ee14e814d35587ac55f89c7de871a01360c876
msg406511 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-11-18 00:25
Thanks, Pablo! ✨ 🍰 ✨
History
Date User Action Args
2021-11-18 00:25:31lukasz.langasetstatus: open -> closed
resolution: fixed
messages: + msg406511

stage: patch review -> resolved
2021-11-18 00:25:04lukasz.langasetnosy: + lukasz.langa
messages: + msg406510
2021-11-17 23:43:48miss-islingtonsetmessages: + msg406509
2021-11-16 19:52:16miss-islingtonsetpull_requests: + pull_request27827
2021-11-16 19:52:12miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request27826
2021-11-16 19:52:01pablogsalsetmessages: + msg406428
2021-11-16 19:00:10pablogsalsetkeywords: + patch
stage: patch review
pull_requests: + pull_request27823
2021-11-16 18:58:17pablogsalsetnosy: + lys.nikolaou

components: + Parser
versions: + Python 3.9, Python 3.10, Python 3.11
2021-11-16 18:58:10pablogsalcreate